Page MenuHomePhabricator

Select skin test group and persist selection
Closed, ResolvedPublic8 Story Points

Description

Acceptance Criteria

  • When a user visits the donation page, a test group is selected for them randomly.
  • Passing a parameter with the URL overrides the random selection for that particular case.
  • Users are assigned to a test group for each of the currently running campaigns.
  • The selection is being stored for later visits.
  • If there already is a stored value, it is being used.
  • Templates are displayed to users based on the stored/selected/passed value.

Notes
Currently, we have something like this in place for skin selection. This needs to be enhanced to be able to run multiple tests simultaneously.

Event Timeline

kai.nissen triaged this task as High priority.
kai.nissen lowered the priority of this task from High to Normal.
kai.nissen updated the task description. (Show Details)Jun 4 2018, 9:48 AM
kai.nissen set the point value for this task to 8.

This story could be split in two: one story does the all AC except the last, the other one would do the actual skin switching (and removing old skin switching code (mostly SkinSettings class and its usage in FunFunFactory.

@kai.nissen : What should be the lifetime of the cookie storing the current settings (not only for skins but for all A/B tests)? My proposal: Campaign end date of active campaigns that's farthest in the future, if no campaigns are active, set it to be active until the end of the session. Or just "3 months" (avg. span of donation campaign)?

@gabriel-wmde
What you propose sounds reasonable. That would also require us to always define an end date.

We also use the pre-campaign phase (beginning in July) for tests on the landing page. Three months may not be enough then. If no campaign is set, there is no data to be stored. Setting the cookie lifetime to the end of the session makes sense.

Vvjjkkii renamed this task from Select skin test group and persist selection to kpbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
kai.nissen renamed this task from kpbaaaaaaa to Select skin test group and persist selection.Jul 2 2018, 7:26 AM
kai.nissen lowered the priority of this task from High to Normal.
kai.nissen updated the task description. (Show Details)
kai.nissen set the point value for this task to 8.
kai.nissen closed this task as Resolved.Apr 15 2019, 11:14 AM